package com.jkcredit.traffic.record.action;

import com.jkcredit.traffic.record.model.CommonResponseObject;
import com.jkcredit.traffic.record.service.TrafficRecordsAnalyseService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author xusonglin
 * @version V1.0
 **/
@RestController
@Slf4j
@RequestMapping("/api")
public class TrafficRecordsAction {
    @Autowired
    TrafficRecordsAnalyseService service;

    @PostMapping("/push")
    public CommonResponseObject pushTrafficRecords(@RequestParam String path) {
        return service.pushTrafficRecords(path);
    }

    @PostMapping("/pushErrorRecords")
    public CommonResponseObject pushErrorRecords(@RequestParam String path) {
        return service.pushErrorRecords(path);
    }
}
