package com.jkcredit.traffic.record.model;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author xusonglin
 * @version V1.0
 **/
@Data
public class MonthResult implements Serializable {
    private static final long serialVersionUID = 9114381989127166629L;
    String month;
    String vehicleid;
    String max_exTime;
    String sum_travel_time;
    String max_travel_time;
    String sum_feemileage;
    String sum_fee;
    String sum_weight_mileage;
    String exTimes_count;
    String axlecount;
    String vehicletype;
    String travel_provinces_count;
    String transtime_count;

    @Override
    public String toString() {
        return  month + "," + vehicleid + "," + max_exTime + "," + sum_travel_time + "," +max_travel_time + ","
                + sum_feemileage + "," +sum_fee + "," + sum_weight_mileage + "," + exTimes_count + "," + axlecount
                + "," + vehicletype + "," + travel_provinces_count + "," + transtime_count;
    }
}
