package com.jkcredit.traffic.record.model;

import com.jkcredit.traffic.record.constant.CommonConstant;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author xusonglin
 * @version V1.0
 **/
@Data
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class CommonResponseObject implements Serializable {
    private static final long serialVersionUID = 426198091527213137L;
    private String code;
    private String message;

    public CommonResponseObject success() {
        this.code = CommonConstant.SUCCESS_CODE;
        this.message = CommonConstant.SUCCESS_MESSAGE;
        return this;
    }

    public CommonResponseObject failed() {
        this.code = CommonConstant.ERROR_CODE_EXCEPTION;
        this.code = CommonConstant.ERROR_MESSAGE_EXCEPTION;
        return this;
    }
}
